using System;

using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IDoctorAccountService
    {
        IResponseOutput Register(DoctorAccountRegisterModel doctorAccount);
        DoctorAccountDTO Login(DoctorAccountLoginDTO doctorAccount);
        IResponseOutput UpdatePassword(DoctorAccountUpdatePasswordCommand doctorAccount);
    }
}
